CLOUD_LOGIN_REQUIRED = "login_required"
CLOUD_LOGIN_SUCCESS = "login_success"
CLOUD_LOGIN_CREDS_FAIL = "login_creds_fail"
CLOUD_LOGIN_NET_ERROR = "login_network_error"
PRINTER_CLOSED = "printer_closed"
PRINTER_CONNECTED = "printer_connected"
PRINTER_ERROR = "printer_error"
PRINTER_WARNING = "printer_warning"
PRINTER_INFO = "printer_info"
PRINTER_STATE_CHANGED = "stated"
PRINTER_REPORT = "printer_report"
UPDATE_AVAILABLE = "update_available"
UPDATE_DOWNLOADED = "update_downloaded"
APP_START = "app_start"
APP_RESTART = "app_restart"
APP_QUIT = "app_quit"

def all():
    event_names = []
    for var_name, var_value in globals().items():
        if var_name[0].isupper():
            event_names.append(var_value)
    return event_names
